Bug 100616 - [DEBUGGER] cannot run fast rails debugging
[DEBUGGER] cannot run fast rails debugging
Status: VERIFIED INVALID
Product: ruby
Classification: Unclassified
Component: Code
6.x
PC Linux
: P1 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-11 14:41 UTC by Tomas Danek
Modified: 2007-09-14 15:15 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2007-04-11 14:41:27 UTC
NetBeans IDE Dev (Build 200704101800)
1.6.0_01; Java HotSpot(TM) Client VM 1.6.0_01-b04
Linux version 2.6.17-10-generic running on i386
cs_CZ (nb); UTF-8
+ debugger 0.80
-------------------------
- fresh UD
- create rails app
- set up fast debugger
- push F5 - server does not start at all..
Cannot find gem for Rails ~>1.2.3.0:
    Install the missing gem with 'gem install -v=1.2.3 rails', or
    change environment.rb to define RAILS_GEM_VERSION with your desired version.

some misconfiguration? do you respect interpreter settings? seems like you seek
for rails in native ruby folder, even if interpreter is set to jruby?! or some
problem on my side??
Comment 1 Martin Krauskopf 2007-04-11 14:51:36 UTC
> some misconfiguration?

You have wrong version of Rails installed.

> do you respect interpreter settings?

No. And it is wrong - see issue 98173. But in this case just fixing your
dependencies should help. Feel free to reopen if there are still problems, thanks.
Comment 2 Jiri Kovalsky 2007-07-03 14:15:46 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 3 Jiri Kovalsky 2007-07-03 14:46:23 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.
Comment 4 Tomas Danek 2007-09-14 15:15:06 UTC
rails can be debugged now ok with ruby/rdebug . verified in beta.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo